Configuration Group Schemas - List By Publisher
Hiermee haalt u informatie op van de schema's van de configuratiegroep onder een uitgever.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/configurationGroupSchemas?api-version=2023-09-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
De naam van de uitgever. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is niet hoofdlettergevoelig. |
|
subscription
|
path | True |
string minLength: 1 |
De id van het doelabonnement. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De aanvraag is geslaagd. De bewerking retourneert de resulterende schemaresource van de configuratiegroep. |
|
| Other Status Codes |
Foutreactie waarin wordt beschreven waarom de bewerking is mislukt. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get networkFunctionDefinition groups under publisher resource
Voorbeeldaanvraag
GET https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.HybridNetwork/publishers/testPublisher/configurationGroupSchemas?api-version=2023-09-01
Voorbeeldrespons
{
"value": [
{
"name": "testConfigurationGroupSchema",
"id": "/subscriptions/subid/resourcegroups/testRG/providers/microsoft.hybridnetwork/publishers/testPublisher/configurationGroupSchemas/interconnectgroupsSchema",
"type": "Microsoft.HybridNetwork/publishers/configurationGroupSchemas",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"location": "westUs2",
"properties": {
"provisioningState": "Accepted",
"schemaDefinition": "{\"type\":\"object\",\"properties\":{\"interconnect-groups\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"name\":{\"type\":\"string\"},\"international-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}},\"domestic-interconnects\":{\"type\":\"array\",\"item\":{\"type\":\"string\"}}}}},\"interconnect-group-assignments\":{\"type\":\"object\",\"properties\":{\"type\":\"object\",\"properties\":{\"ssc\":{\"type\":\"string\"},\"interconnects-interconnects\":{\"type\":\"string\"}}}}},\"required\":[\"interconnect-groups\",\"interconnect-group-assignments\"]}",
"description": "Schema with no secrets"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
Configuration |
Schemaresource van configuratiegroep. |
|
Configuration |
Een lijst met schema-resources voor configuratiegroepen. |
|
Configuration |
Schema-eigenschappen van configuratiegroep. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Provisioning |
De huidige inrichtingsstatus. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
|
version |
De status van de schemaversie van de configuratiegroep. |
ConfigurationGroupSchema
Schemaresource van configuratiegroep.
| Name | Type | Description |
|---|---|---|
| id |
string |
Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
De geografische locatie waar de resource zich bevindt |
| name |
string |
De naam van de resource |
| properties |
Schema-eigenschappen van configuratiegroep. |
|
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
ConfigurationGroupSchemaListResult
Een lijst met schema-resources voor configuratiegroepen.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
De URL voor het ophalen van de volgende set resultaten. |
| value |
Een lijst met configuratiegroepschema's. |
ConfigurationGroupSchemaPropertiesFormat
Schema-eigenschappen van configuratiegroep.
| Name | Type | Description |
|---|---|---|
| description |
string |
Beschrijving van het schema dat kan bevatten. |
| provisioningState |
De inrichtingsstatus van de schemaresource van de configuratiegroep. |
|
| schemaDefinition |
string |
Naam- en waardeparen die de configuratiewaarde definiƫren. Het kan een goed gevormde escape-JSON-tekenreeks zijn. |
| versionState |
De status van de schemaversie van de configuratiegroep. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ProvisioningState
De huidige inrichtingsstatus.
| Waarde | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |
versionState
De status van de schemaversie van de configuratiegroep.
| Waarde | Description |
|---|---|
| Unknown | |
| Preview | |
| Active | |
| Deprecated |